//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// WFX satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

using WF = System.Windows.Forms;

using CommonHelpers;

namespace WFX {

//**************************************************************************************************
partial class MessageBox {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static void ShowError(string text)
{
   ShowError((WF.IWin32Window)null,text);
}

public static WF.DialogResult ShowError(string text,WF.MessageBoxButtons buttons)
{
   return ShowError((WF.IWin32Window)null,text,buttons);
}

public static WF.DialogResult ShowError( string text,
                                         WF.MessageBoxButtons buttons,
                                         WF.DialogResult defaultResult )
{
   return ShowError((WF.IWin32Window)null,text,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowError(string text,[HOptional] string caption)
{
   ShowError((WF.IWin32Window)null,text,caption);
}

public static WF.DialogResult ShowError( string text, [HOptional] string caption,
                                         WF.MessageBoxButtons buttons )
{
   return ShowError((WF.IWin32Window)null,text,caption,buttons);
}

public static WF.DialogResult ShowError( string text, [HOptional] string caption,
                                         WF.MessageBoxButtons buttons,
                                         WF.DialogResult defaultResult )
{
   return ShowError((WF.IWin32Window)null,text,caption,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowError(Exception e)
{
   ShowError((WF.IWin32Window)null,e);
}

public static WF.DialogResult ShowError(Exception e,WF.MessageBoxButtons buttons)
{
   return ShowError((WF.IWin32Window)null,e,buttons);
}

public static WF.DialogResult ShowError( Exception e,
                                         WF.MessageBoxButtons buttons,
                                         WF.DialogResult defaultResult )
{
   return ShowError((WF.IWin32Window)null,e,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowError(Exception e,[HOptional] string caption)
{
   ShowError((WF.IWin32Window)null,e,caption);
}

public static WF.DialogResult ShowError( Exception e,
                                         [HOptional] string caption,
                                         WF.MessageBoxButtons buttons )
{
   return ShowError((WF.IWin32Window)null,e,caption,buttons);
}

public static WF.DialogResult ShowError( Exception e, [HOptional] string caption,
                                         WF.MessageBoxButtons buttons,
                                         WF.DialogResult defaultResult )
{
   return ShowError((WF.IWin32Window)null,e,caption,buttons,defaultResult);
}

//==================================================================================================

public static void ShowError([HOptional] WF.IWin32Window owner,string text)
{
   ShowError((ShowMessageExtraInfo)null,owner,text);
}

public static WF.DialogResult ShowError( [HOptional] WF.IWin32Window owner,
                                         string text, WF.MessageBoxButtons buttons )
{
   return ShowError((ShowMessageExtraInfo)null,owner,text,buttons);
}

public static WF.DialogResult ShowError( [HOptional] WF.IWin32Window owner, string text,
                                         WF.MessageBoxButtons buttons,
                                         WF.DialogResult defaultResult )
{
   return ShowError((ShowMessageExtraInfo)null,owner,text,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowError( [HOptional] WF.IWin32Window owner,
                              string text, [HOptional] string caption )
{
   ShowError((ShowMessageExtraInfo)null,owner,text,caption);
}

public static WF.DialogResult ShowError( [HOptional] WF.IWin32Window owner,
                                         string text, [HOptional] string caption,
                                         WF.MessageBoxButtons buttons )
{
   return ShowError((ShowMessageExtraInfo)null,owner,text,caption,buttons);
}

public static WF.DialogResult ShowError( [HOptional] WF.IWin32Window owner,
                                         string text, [HOptional] string caption,
                                         WF.MessageBoxButtons buttons,
                                         WF.DialogResult defaultResult )
{
   return ShowError((ShowMessageExtraInfo)null,owner,text,caption,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowError([HOptional] WF.IWin32Window owner,Exception e)
{
   ShowError((ShowMessageExtraInfo)null,owner,e);
}

public static WF.DialogResult ShowError( [HOptional] WF.IWin32Window owner,
                                         Exception e, WF.MessageBoxButtons buttons )
{
   return ShowError((ShowMessageExtraInfo)null,owner,e,buttons);
}

public static WF.DialogResult ShowError( [HOptional] WF.IWin32Window owner,
                                         Exception e,
                                         WF.MessageBoxButtons buttons,
                                         WF.DialogResult defaultResult )
{
   return ShowError((ShowMessageExtraInfo)null,owner,e,buttons,defaultResult);
}

//--------------------------------------------------------------------------------------------------

public static void ShowError( [HOptional] WF.IWin32Window owner,
                              Exception e, [HOptional] string caption )
{
   ShowError((ShowMessageExtraInfo)null,owner,e,caption);
}

public static WF.DialogResult ShowError( [HOptional] WF.IWin32Window owner,
                                         Exception e, [HOptional] string caption,
                                         WF.MessageBoxButtons buttons )
{
   return ShowError((ShowMessageExtraInfo)null,owner,e,caption,buttons);
}

public static WF.DialogResult ShowError( [HOptional] WF.IWin32Window owner,
                                         Exception e, [HOptional] string caption,
                                         WF.MessageBoxButtons buttons,
                                         WF.DialogResult defaultResult )
{
   return ShowError((ShowMessageExtraInfo)null,owner,e,caption,buttons,defaultResult);
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // MessageBox
//**************************************************************************************************

} // WFX
